cURL
curl -H "X-API-Key: $PARTICLE_API_KEY" \
"https://api.particle.pro/v1/podcasts/rankings/sources"{
"data": [
{
"chart_type": "top_podcasts",
"current_row_count": 123,
"latest_captured_at": "2023-11-07T05:31:56Z",
"source": "apple"
}
],
"has_more": true,
"cursor": "<string>"
}{
"detail": "Property foo is required but is missing.",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Podcast Rankings
List ranking sources
Returns each (source, chart_type) pair available on this API together with row counts and freshness for the live snapshot.
GET
/
v1
/
podcasts
/
rankings
/
sources
cURL
curl -H "X-API-Key: $PARTICLE_API_KEY" \
"https://api.particle.pro/v1/podcasts/rankings/sources"{
"data": [
{
"chart_type": "top_podcasts",
"current_row_count": 123,
"latest_captured_at": "2023-11-07T05:31:56Z",
"source": "apple"
}
],
"has_more": true,
"cursor": "<string>"
}{
"detail": "Property foo is required but is missing.",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Authorizations
ApiKeyHeaderBearerAuth
Pass your API key in the X-API-Key header (recommended).
Query Parameters
Results per page (default: all)
Required range:
1 <= x <= 100Opaque pagination cursor from previous response
Was this page helpful?